/*variables*/
:root{
    --primary-color: #f1b435;
    --secondary-color:#000;
    --ternary-color: #e2ba69;
    --shadow-color: gray;
    --light-color:white;
}
/*the box model fix ---*/
html {
    box-sizing: border-box;
}

*, *::before, *::after{
    box-sizing: inherit;
}
/*---*/

body{
    margin: 0;
    padding: 0;
    background-color: var(--primary-color);
    font-family: 'Raleway', sans-serif;
    font-size: 16px;
    color:var(--secondary-color);
}

section{
    clear:both;
    padding:5px;
    padding-bottom: 40px;
}

article{
    overflow: hidden;
    text-align: center;
    padding-top:15px;
}

/* title */
.section-title{

    padding-top: 80px;
    position: relative;
}
.section-title::before{
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    content: '';
    background-image: url(../images/crane.jpg);
    background-color: var(--secondary-color);
    background-repeat: no-repeat;
    background-size: cover;
    z-index: -1;
    opacity: 0.75;
}
.column30-area{   
    float: left;
    width:30%;
    
}
.column70-area{
    float: left;
    width:70%;
}
.logo-image{
    width: 100%;
    max-width: 300px;
    padding:10px;
}
.shadow {
    text-shadow: -1px -1px 0 var(--secondary-color), 1px -1px 0 var(--secondary-color), -1px 1px 0 var(--secondary-color), 1px 1px 0 var(--secondary-color), 2px 2px 4px var(--secondary-color);
}

.img-caption{
    padding-top: 20px;
}

.title-detail{
    color: var(--primary-color);
}
.title, .title-detail{
    line-height: 1.8em;
}  

.section-title{
    color: var(--primary-color);
}

/* features */
.section-feature{
    color:var(--secondary-color);
}

.feature{
    font-weight: bold;
}

.section-feature img{
    width: 50px;
}

.section-feature .statement{
    padding: 1em;
}

#qtd_obras{
    font-weight: bold;
}

/* about */
.section-light{
    background-color: var(--light-color);
}
#about-img{
    width: 100%;
}
.section-about .title{
    padding-top: 1em;
}

/* clients */
.section-about img{
    background-color: var(--light-color);
    border-radius: 4px;
}
.thumbnail{
    -webkit-box-shadow: 10px 10px 5px -3px var(--shadow-color);
    -moz-box-shadow: 10px 10px 5px -3px var(--shadow-color);
    box-shadow: 10px 10px 5px -3px var(--shadow-color);
    border-radius: 4px;
    background-color: var(--light-color);
    margin:5px;
    padding: 5px;
}

/* contact */
.section-contact{
    background-color: var(--light-color);
}
#txtCaptcha{
    text-align: center;
    font-weight: bold;
    background-color: var(--light-color);
}

.column1-area{
    float: left;
    width:100%;
}

.column4-area{
    float: left;
    width:25%;
}
footer{
    padding:10px;
}

/*form ----*/
form{
    display: block;
    padding-left:10px;
    padding-right:10px;
}
.form-label {
    font-weight: 200;
    text-transform: uppercase;
    font-size: 1em;
    padding-top: 10px;
    padding-bottom: 10px;
}
input{
    height: 30px;
}

input, textarea{
    border-radius: 4px;
    width: 100%;
    border-width: 2px;
    border-style: inset;
    border-color: initial;
    border-image: initial;
}
button{
    display:inline-block;
    padding:0.3em 1.2em;
    margin:0 0.1em 0.1em 0;
    border:0.16em solid var(--shadow-color);
    border-radius: 4px;
    box-sizing: border-box;
    text-decoration:none;
    color:var(--secondary-color);
    text-align:center;
    transition: all 0.2s;
    background-color: var(--primary-color);
    text-transform: uppercase;
}
button:hover{
    background-color: var(--ternary-color);
}
.double-tool{
    display: flex;
    width:100%;
    font-weight: bold;
}
.tool{
    width:50%;
    flex: 1;
    font-size: 0.9em;
}

/*----*/

@media screen and (max-width: 600px ){
    .title-main{
        font-size: 1.8em;
        padding:10px;
    }
    .title-detail{
        font-size: 1.5em;
    } 
    .title{
        font-size: 1.5em;
        color: var(--secondary-color);
        padding-bottom: 0.5em;
    } 
    .statement{
        font-size:1em;
    }

    li{
        text-align: left;
        line-height: 2.2em;
    }
    .container-flex{
        text-align: center;
        margin: 20px;
        padding: 20px;
    }
    .column2-area{
        width: 100%;
    }
    .subtitle{
        font-size: 1em;
    }
    #qtd_obras{
        font-weight: bold;
    }
}

@media screen and (min-width: 601px) {
    .title-main{
        font-size: 2.5em;
    }
    .title-detail{
        font-size: 2em;
    } 
    .title{
        font-size: 2em;
        color: var(--secondary-color);
    }
    .statement{
        font-size: 1.8em;
    }
    li{
        text-align: left;
        line-height: 2.2em;
    }
    .container-flex{
        display:flex;
        text-align: center;
        margin: 20px;
        padding: 20px;
        flex-wrap: wrap;
    }
    .item-flex-first{
        flex: 0 0 100%; 
     }
    .item-flex{
       flex: 1; /*all take up an equal amount of the spare space left*/
    }
    .subtitle{
        font-size: 1.3em;
    }
}

@media screen and (min-width: 1024px ){
    .title-main{
        font-size: 3em;
    }
    .column3-area{
        float: left;
        width:32%;
    }
    .column2-area{
        float: left;
        width:50%;
    }
    ul{
        margin: 0;
        padding-left: 40px;
    }
    #contact .title-detail{
        padding-top: 2em;    
    }
}


